sc::TwoBodyDerivIntCCA(3)

NAME
sc::TwoBodyDerivIntCCA - This implements two body derivative integrals through the CCA interface.

SYNOPSIS

#include <tbintcca.h>

Inherits sc::TwoBodyDerivInt.

  Public Member Functions
TwoBodyDerivIntCCA (Integral *, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage, IntegralEvaluatorFactory, bool, string)
int log2_shell_bound (int, int, int, int)
Return log base 2 of the maximum magnitude of any integral in a shell block.
void compute_shell (int, int, int, int, DerivCenters &)
Given for shell indices, this will cause the integral buffer to be filled in.
size_t storage_used ()
void set_integral_storage (size_t storage)
int redundant () const
void set_redundant (int i)

  Protected Attributes
Ref< Int2eCCA > int2ecca_

Detailed Description

This implements two body derivative integrals through the CCA interface.

Member Function Documentation

  int sc::TwoBodyDerivIntCCA::log2_shell_bound (int, int, int, int) [virtual]

Return log base 2 of the maximum magnitude of any integral in a shell block.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyDerivInt.

  void sc::TwoBodyDerivIntCCA::compute_shell (int, int, int, int, DerivCenters &) [virtual]

Given for shell indices, this will cause the integral buffer to be filled in.

Implements sc::TwoBodyDerivInt.

Author

Generated automatically by Doxygen for MPQC from the source code.